> ## Documentation Index
> Fetch the complete documentation index at: https://tokenterminal.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the Trending contracts dataset

> Use this endpoint to retrieve the Trending contracts dataset.

You can get the whole dataset by omitting all parameters.




## OpenAPI

````yaml /api-reference/openapi.json get /v2/datasets/trending_contracts
openapi: 3.0.0
info:
  title: Token Terminal API
  termsOfService: https://tokenterminal.com/terms
  version: 2.0.0
servers:
  - url: https://api.tokenterminal.com
security:
  - bearerAuth: []
tags: []
paths:
  /v2/datasets/trending_contracts:
    get:
      tags:
        - Datasets
      summary: Get the Trending contracts dataset
      description: |
        Use this endpoint to retrieve the Trending contracts dataset.

        You can get the whole dataset by omitting all parameters.
      parameters:
        - name: project_ids
          in: query
          description: >
            Allows you to select one or more of the projects available in the
            dataset. When including multiple projects, separate each one with a
            comma. Example: `aave,uniswap`.
          required: false
          explode: false
          schema:
            type: array
            items:
              type: string
          example:
            - aave
            - uniswap
        - name: chain_ids
          in: query
          description: >
            Allows you to select one or more of the chains available in the
            dataset. When including multiple chains, separate each one with a
            comma. Example: `ethereum,arbitrum`.
          required: false
          explode: false
          schema:
            type: array
            items:
              type: string
          example:
            - ethereum
            - arbitrum
        - name: market_sector_ids
          in: query
          description: >
            Allows you to select one or more of the market sectors available in
            the dataset. When including multiple market sectors, separate each
            one with a comma. Example: `stablecoin,derivatives`.
          required: false
          explode: false
          schema:
            type: array
            items:
              type: string
          example:
            - stablecoin
            - derivatives
        - name: order_by
          in: query
          description: |
            Allows you to select a field by which the response array is sorted.
          schema:
            type: string
            format: string
          example: gas_used_30d_sum
        - name: order_direction
          in: query
          description: >
            Allows you to define order direction for the field selected in
            `order_by`. If no order_direction is selected, the response defaults
            to `asc`.
          schema:
            type: string
            format: string
          example: desc
        - name: limit
          in: query
          description: >-
            Limit the number of results returned. Usage through API reference
            has max limit of 50.
          schema:
            type: number
            format: number
          example: 10
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    description: The Array containing the data for a successful response.
                    items:
                      type: object
                      properties:
                        project_id:
                          type: string
                          description: The ID of the project
                        project_name:
                          type: string
                          description: The name of the project
                        market_sector_id:
                          type: string
                          description: The market sector's ID
                        market_sector_name:
                          type: string
                          description: The market sector's name
                        chain_id:
                          type: string
                          description: The ID of the chain
                        chain_name:
                          type: string
                          description: The name of the chain
                        account_address:
                          type: string
                          description: The address of the account
                        account_title:
                          type: string
                          description: The title of the account
                        account_creation_timestamp:
                          type: string
                          description: The timestamp of the account's creation
                        gas_used_1d_sum:
                          type: number
                          description: Gas used sum for the last 1 day
                        transaction_count_1d_sum:
                          type: number
                          description: Transaction count sum for the last 1 day
                        active_addresses_1d_distinct_count:
                          type: number
                          description: Distinct active addresses for the last 1 day
                        transaction_gas_1d_avg:
                          type: number
                          description: Average gas per transaction for the last 1 day
                        gas_market_share_1d_avg:
                          type: number
                          description: Average gas market share for the last 1 day
                        inflows_1d_sum:
                          type: number
                          description: Inflows sum for the last 1 day
                        outflows_1d_sum:
                          type: number
                          description: Outflows sum for the last 1 day
                        net_flows_1d_sum:
                          type: number
                          description: Net flows sum for the last 1 day
                        gas_used_1d_sum_trend:
                          type: number
                          description: Gas used sum trend for the last 1 day
                        transaction_count_1d_sum_trend:
                          type: number
                          description: Transaction count sum trend for the last 1 day
                        active_addresses_1d_distinct_count_trend:
                          type: number
                          description: Distinct active addresses trend for the last 1 day
                        transaction_gas_1d_avg_trend:
                          type: number
                          description: Average gas per transaction trend for the last 1 day
                        gas_market_share_1d_avg_trend:
                          type: number
                          description: Average gas market share trend for the last 1 day
                        inflows_1d_sum_trend:
                          type: number
                          description: Inflows sum trend for the last 1 day
                        outfows_1d_sum_trend:
                          type: number
                          description: Outflows sum trend for the last 1 day
                        net_flows_1d_sum_trend:
                          type: number
                          description: Net flows sum trend for the last 1 day
                        gas_used_1d_sum_rank:
                          type: number
                          description: Gas used sum rank for the last 1 day
                        most_emitted_event_1d_name:
                          type: string
                          description: Most emitted event name for the last 1 day
                        most_emitted_event_1d_signature:
                          type: string
                          description: Most emitted event signature for the last 1 day
                        most_transferred_asset_1d_symbol:
                          type: string
                          description: Most transferred asset symbol for the last 1 day
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: string

````